org.apache.mina.core.buffer

## Class BufferDataException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.mina.core.buffer.BufferDataException

- All Implemented Interfaces:
    Serializable

      public class BufferDataException
      extends RuntimeException

  A `RuntimeException` which is thrown when the data the `IoBuffer` contains is corrupt.
  Author:
    Apache MINA Project
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BufferDataException()`
    `BufferDataException(String message)`
    `BufferDataException(String message, Throwable cause)`
    `BufferDataException(Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BufferDataException

          public BufferDataException()

    - #### BufferDataException

          public BufferDataException(String message)

    - #### BufferDataException

          public BufferDataException(String message,
                             Throwable cause)

    - #### BufferDataException

          public BufferDataException(Throwable cause)

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.